summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdam Tkac <atkac@fedoraproject.org>2009-09-21 10:38:47 +0000
committerAdam Tkac <atkac@fedoraproject.org>2009-09-21 10:38:47 +0000
commitb70aaadb538664b4548e6836bf1b5f6e50896b7c (patch)
treebfb3420c1db9370b5685e4c97ec2b3cf7431a13c
parente99cc3499f9be9e31fad2581105352acadee85fa (diff)
downloadbind-b70aaadb538664b4548e6836bf1b5f6e50896b7c.tar.gz
bind-b70aaadb538664b4548e6836bf1b5f6e50896b7c.tar.xz
bind-b70aaadb538664b4548e6836bf1b5f6e50896b7c.zip
- determine file size via `stat` instead of `ls` (#523682)bind-9_7_0-0_4_a3_fc13
-rw-r--r--bind.spec5
-rwxr-xr-xnamed.init3
2 files changed, 5 insertions, 3 deletions
diff --git a/bind.spec b/bind.spec
index 9c35ae6..474dbd7 100644
--- a/bind.spec
+++ b/bind.spec
@@ -20,7 +20,7 @@ Summary: The Berkeley Internet Name Domain (BIND) DNS (Domain Name System) serv
Name: bind
License: ISC
Version: 9.7.0
-Release: 0.3.%{PREVER}%{?dist}
+Release: 0.4.%{PREVER}%{?dist}
Epoch: 32
Url: http://www.isc.org/products/BIND/
Buildroot:%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -595,6 +595,9 @@ rm -rf ${RPM_BUILD_ROOT}
%ghost %{chroot_prefix}/etc/localtime
%changelog
+* Mon Sep 21 2009 Adam Tkac <atkac redhat com> 32:9.7.0-0.4.a3
+- determine file size via `stat` instead of `ls` (#523682)
+
* Wed Sep 16 2009 Adam Tkac <atkac redhat com> 32:9.7.0-0.3.a3
- update to 9.7.0a3
diff --git a/named.init b/named.init
index 0d40dfb..12540a2 100755
--- a/named.init
+++ b/named.init
@@ -76,8 +76,7 @@ mount_chroot_conf()
# If mount source is a file
if ! [ -d "$all" ]; then
# mount it only if it is not present in chroot or it is empty
- if ! [ -e "$ROOTDIR$all" ] ||
- [ `ls -s "$ROOTDIR$all" | awk '{ print $1 };'` -eq 0 ]; then
+ if ! [ -e "$ROOTDIR$all" ] || [ `stat -c'%s' "$ROOTDIR$all"` -eq 0 ]; then
touch "$ROOTDIR$all"
mount --bind "$all" "$ROOTDIR$all"
fi